MBRLABEL(8) | System Manager's Manual | MBRLABEL(8)

# NAME

`mbrlabel` —
update disk label from MBR label(s)

# SYNOPSIS

`mbrlabel` | [`-fqrw`] [`-s` sector] device

# DESCRIPTION

`mbrlabel` is used to update a NetBSD disk label from the Master Boot Record (MBR) label and Extended Boot Record (EBR) label(s) found on disks that were previously used on DOS/Windows systems (or other MBR using systems).

`mbrlabel` scans the MBR contained in the very first block of the disk (or the block specified through the `-s` flag), then walks through every extended partition found and generates additional partition entries for the disk from the EBRs found in those extended partitions.

Each MBR and each EBR partition which does not have an equivalent partition in the disk label (equivalent in having the same size and offset) is added to the first free partition slot in the disk label. A free partition slot is defined as one with an `fstype` of ‘`unused`’ and a `size` of zero (‘0’). If there are not enough free slots in the disk label, a warning will be issued.

The raw partition (typically partition c, but d on i386 and some other platforms) is left alone during this process.

By default, the proposed changed disk label will be displayed and no disk label update will occur.

The following options are available:

`-f`
  Force an update, even if there has been no change.
`-q`
  Performs operations in a quiet fashion.
`-r`
  In conjunction with `-w`, also update the on-disk label.
`-s` sector
  Specifies the logical sector number that has to be read from the disk in order to find the MBR. Useful if the disk has remapping drivers on it and the MBR is located in a non-standard place. Defaults to 0.
`-w`
  Update the in-core label if it has been changed. See also `-r`.

# SEE ALSO

disklabel(8), dkctl(8), fdisk(8), mbr(8)

Tn Microsoft corporation, Disk Concepts and Troubleshooting, Tn Microsoft technical library.

# HISTORY

The `mbrlabel` command appeared in NetBSD 1.4.

February 27, 2013 | NetBSD 9.4